FreeBSD : Zend Framework -- potential SQL injection when using PDO_MySql (34e8ccf5-7d71-11e0-9d83-000c29cc39d3)

This script is Copyright (C) 2011-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

The Zend Framework team reports :

Developers using non-ASCII-compatible encodings in conjunction with
the MySQL PDO driver of PHP may be vulnerable to SQL injection
attacks. Developers using ASCII-compatible encodings like UTF8 or
latin1 are not affected by this PHP issue.

See also :

http://framework.zend.com/security/advisory/ZF2011-02
http://www.nessus.org/u?f8cc26f0
http://www.nessus.org/u?b612e670

Solution :

Update the affected package.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 53906 ()

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now